SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000855SiT!contractspublic2009-08-11 14:082011-02-14 13:18
Reporterlextof 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000855: Inactive contracts do not get hidden
DescriptionWhen I browse through contracts and click on the "all" link at the end of the alphabet I see all available contracts, which are registered in the database. But when I select the "show active only" option, the terminated contracts keep on showing up in the list. They don't get hide.
TagsNo tags attached.
Attached Files

- Relationships
child of 0000863assignedivan [META] User preferences/config table 

-  Notes
User avatar (0001545)
ivan (administrator)
2009-08-15 14:04

Thanks for the bug report.

The "show active only" checkbox only affects searches (Run with the 'Go' button) it doesn't affect the alphabet links or the the 'All' link.

We need to add a user preference to say whether inactive contracts should be displayed or not. I've added a separate report for this.
User avatar (0002884)
ivan (administrator)
2010-03-27 16:21

User preference added in Git 0dab298 for 4.0

- Issue History
Date Modified Username Field Change
2009-08-11 14:08 lextof New Issue
2009-08-15 13:26 ivan Relationship added child of 0000863
2009-08-15 14:04 ivan Note Added: 0001545
2009-08-15 14:04 ivan Status new => confirmed
2009-08-15 14:04 ivan Summary Inactive contracts do not get hide => Inactive contracts do not get hidden
2010-02-27 13:36 ivan Status confirmed => assigned
2010-02-27 13:36 ivan Assigned To => ivan
2010-02-27 13:36 ivan Target Version => 4.0
2010-03-27 16:21 ivan Note Added: 0002884
2010-03-27 16:21 ivan Status assigned => resolved
2010-03-27 16:21 ivan Fixed in Version => Current GIT
2010-03-27 16:21 ivan Resolution open => fixed
2011-02-14 13:18 ivan Fixed in Version Current GIT => 3.90beta1
2011-02-14 13:18 ivan Fixed in Version 3.90beta1 => Current GIT
2011-02-14 13:18 ivan Target Version 4.0 => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker